package pps.core.system.error;

import xstartup.error.XError;

/**
 * @author lixueyan
 * @date 2022/7/7 0007 14:10
 */
public enum LoginError implements XError {
    NotExistLoginName(1000, "用户名或密码错误"),
    NotExistPhone(1000, "手机号有误"),
    NotExistUserName(1000, "用户不存在"),
    NotExistCode(1001, "验证码不能为空"),
    NotUsedCode(1002, "验证码已过期"),
    NotCompareCode(1003, "验证码不匹配"),
    ISOUT(1004, "没有外网访问权限"),
    ISINNER(1005, "没有内网访问权限"),
    IAMLOGIN(1006, "Iam登录失败"),
    ISLOCKED(1007, "您的账号当前为封锁状态，请联系管理员"),
    NotValidateSmsCode(1002, "短信验证码无效"),
    ISValidateSmsCode(1002, "短信验证码在有效期内，请勿重新发送"),
    ExceptionSmsCode(1002, "获取验证码异常，请稍候再试"),
    Trade_ParamIsNull(100201, "参数为空错误"),
    Trade_ParamRSAError(100202, "参数解密失败"),
    Trade_ParamFormatError(100203, "参数格式有误"),
    Trade_LoginError(100204, "账号信息有误"),
    Trade_IpWhiteError(100205, "非法来源"),
    Already_Exists_IAM(1008, "Iam登录账户已存在"),
    Missing_Pd(1009, "缺少必填项"),
    Account_Already_Exists(1010, "Iam登录账户已存在"),
    ;

    private int code;
    private String text;

    LoginError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
